### Method

# Gimp Vectors stroke_get_points

#### Declaration [src]

    GimpVectorsStrokeType
    gimp_vectors_stroke_get_points (
      GimpVectors* vectors,
      gint stroke_id,
      gint* num_points,
      gdouble** controlpoints,
      gboolean* closed
    )

#### Description [src]

Returns the control points of a stroke.

returns the control points of a stroke. The interpretation of the coordinates returned depends on the type of the stroke. For Gimp 2.4 this is always a bezier stroke, where the coordinates are the control points.

Available since: | 2.4

#### Parameters

`stroke_id` | `gint`
| The stroke ID.
`num_points` | `gint*`
| The number of floats returned.
| The argument will be set by the function.
`controlpoints` | An array of `double`
| List of the control points for the stroke (x0, y0, x1, y1, …).
| The argument will be set by the function.
| The length of the array is specified in the `num_points` argument.
| The instance takes ownership of the data, and is responsible for freeing it.
`closed` | `gboolean*`
| Whether the stroke is closed or not.
| The argument will be set by the function.

#### Return value

Returns: | `GimpVectorsStrokeType`
| Type of the stroke (always GIMP_VECTORS_STROKE_TYPE_BEZIER for now).